ArcSmoothness Пример

Sub Example_ArcSmoothness()
    ' Этот пример возвращает текущую установку ArcSmoothness. Затем
    ' изменяет значение, и наконец сбрасывает значение назад к
    ' первоначальной установке.
    
    Dim currArcSmoothness As Integer
    Dim newArcSmoothness As Integer
        
    ' Восстановите текущее значение ArcSmoothness
    currArcSmoothness = ThisDrawing.ActiveViewport.ArcSmoothness
    MsgBox "Текущее значение для ArcSmoothness " & currArcSmoothness, vbInformation, "ArcSmoothness Пример"
    
    ' Измените значение для ArcSmoothness
    newArcSmoothness = 2001
    ThisDrawing.ActiveViewport.ArcSmoothness = newArcSmoothness
    MsgBox "Новое значение для ArcSmoothness " & newArcSmoothness, vbInformation, "ArcSmoothness Пример"
    
    ' Сбросьте ArcSmoothness к его первоначальному значению
    ThisDrawing.ActiveViewport.ArcSmoothness = currArcSmoothness
    MsgBox "Значение ArcSmoothness сброшено к " & currArcSmoothness, vbInformation, "ArcSmoothness Пример"
End Sub
Сайт управляется системой uCoz